[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'CacheCls' (#fcl)

# TCache.Slots

Indexed array to the slots

## Declaration

Source position: cachecls.pp line 92

`public property TCache.Slots: PCacheSlot read GetSlot;`

## Description

Slots provides index-based access to the TCacheSlot records in the list. Accessing the records directly does not change their position in the MRU list.

The index is zero-based and can maximally be SlotCount-1. Providing an invalid index will result in an exception.

## See also

TCache.Data |  | Indexed access to data items
TCache.SlotCount |  | Number of slots in the list

The latest version of this document can be found at lazarus-ccr.sourceforge.net.